com.independentsoft.exchange

## Class MessageResponse

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.ResponseItem
    - - com.independentsoft.exchange.MessageResponse

- Direct Known Subclasses:
    CancelItem, ForwardItem, ReplyAllItem, ReplyItem

      public abstract class MessageResponse
      extends ResponseItem

  The Class MessageResponse.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Mailbox>` | `getBccRecipients()` Gets a collection of recipients to receive a blind carbon copy (Bcc) of an e-mail.
    `java.util.List<Mailbox>` | `getCcRecipients()` Gets a collection of recipients that will receive a copy of the message.
    `Mailbox` | `getFrom()` Gets the addressee from whom the message was sent.
    `Body` | `getNewBody()` Gets the actual body content of a message.
    `Mailbox` | `getReceivedBy()` Gets the delegate in a delegate access scenario.
    `Mailbox` | `getReceivedRepresenting()` Gets the principal in a delegate access scenario.
    `java.util.List<Mailbox>` | `getToRecipients()` Gets a set of recipients of an item.
    `boolean` | `isDeliveryReceiptRequested()` Gets whether the sender of an item requests a delivery receipt.
    `boolean` | `isReadReceiptRequested()` Gets whether the sender of an item requests a read receipt.
    `void` | `setDeliveryReceiptRequested(boolean isDeliveryReceiptRequested)` Gets whether the sender of an item requests a delivery receipt.
    `void` | `setFrom(Mailbox from)` Sets the addressee from whom the message was sent.
    `void` | `setNewBody(Body newBody)` Sets the actual body content of a message.
    `void` | `setReadReceiptRequested(boolean isReadReceiptRequested)` Gets whether the sender of an item requests a read receipt.

    - ### Methods inherited from class com.independentsoft.exchange.ResponseItem

      `getReferenceItemId, setReferenceItemId`

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageResponse

          public MessageResponse()

  - ### Method Detail

    - #### getToRecipients

          public java.util.List<Mailbox> getToRecipients()

      Gets a set of recipients of an item.
      Returns:
        the to recipients

    - #### getCcRecipients

          public java.util.List<Mailbox> getCcRecipients()

      Gets a collection of recipients that will receive a copy of the message.
      Returns:
        the cc recipients

    - #### getBccRecipients

          public java.util.List<Mailbox> getBccRecipients()

      Gets a collection of recipients to receive a blind carbon copy (Bcc) of an e-mail.
      Returns:
        the bcc recipients

    - #### isReadReceiptRequested

          public boolean isReadReceiptRequested()

      Gets whether the sender of an item requests a read receipt.
      Returns:
        true, if is read receipt requested

    - #### setReadReceiptRequested

          public void setReadReceiptRequested(boolean isReadReceiptRequested)

      Gets whether the sender of an item requests a read receipt.
      Parameters:
        `isReadReceiptRequested` - the new read receipt requested

    - #### isDeliveryReceiptRequested

          public boolean isDeliveryReceiptRequested()

      Gets whether the sender of an item requests a delivery receipt.
      Returns:
        true, if is delivery receipt requested

    - #### setDeliveryReceiptRequested

          public void setDeliveryReceiptRequested(boolean isDeliveryReceiptRequested)

      Gets whether the sender of an item requests a delivery receipt.
      Parameters:
        `isDeliveryReceiptRequested` - the new delivery receipt requested

    - #### getNewBody

          public Body getNewBody()

      Gets the actual body content of a message.
      Returns:
        the new body

    - #### setNewBody

          public void setNewBody(Body newBody)

      Sets the actual body content of a message.
      Parameters:
        `newBody` - the new new body

    - #### getFrom

          public Mailbox getFrom()

      Gets the addressee from whom the message was sent.
      Returns:
        the from

    - #### setFrom

          public void setFrom(Mailbox from)

      Sets the addressee from whom the message was sent.
      Parameters:
        `from` - the new from

    - #### getReceivedBy

          public Mailbox getReceivedBy()

      Gets the delegate in a delegate access scenario.
      Returns:
        the received by

    - #### getReceivedRepresenting

          public Mailbox getReceivedRepresenting()

      Gets the principal in a delegate access scenario.
      Returns:
        the received representing